/*
 *Copyright(C) 2024 by Chief All rights reserved.
 *Unity版本：2023.2.5f1c1 
 *作者:Chief  
 *创建日期: 2024-03-06 
 *模块说明：Ecs通用模块-渲染部分编辑器工具
 *版本: 1.0
*/

using Sirenix.OdinInspector;
using System.Collections.Generic;
using UnityEngine;

namespace Aster.DotsRenderEditor
{
    /// <summary>
    /// 烘培配置
    /// </summary>
    [CreateAssetMenu(fileName = "DotsRenderBakerConfig", menuName = "Aster/DotsRender烘培配置", order = 1)]
    public class DotsRenderBakerConfig : ScriptableObject
    {

        [LabelText("目标预制")]
        [AssetsOnly]
        public List<GameObject> ListPrefabs = new List<GameObject>();

        [Button("开始烘焙", ButtonSizes.Medium)]
        public void StartBake()
        {

        }

    }
}